Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ShowValidatorAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.config_browser.ListValidatorsAction
              org.apache.struts2.config_browser.ShowValidatorAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

    public class ShowValidatorAction

extends ListValidatorsAction

ShowValidatorAction

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ShowValidatorAction.PropertyInfo`

Field Summary

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ShowValidatorAction()`

Method Summary
`String` | `execute()`
`Set` | `getProperties()`
`int` | `getSelected()`
`com.opensymphony.xwork2.validator.Validator` | `getSelectedValidator()`
`void` | `setReflectionContextFactory(com.opensymphony.xwork2.util.reflection.ReflectionContextFactory fac)`
`void` | `setReflectionProvider(com.opensymphony.xwork2.util.reflection.ReflectionProvider prov)`
`void` | `setSelected(int selected)`

Methods inherited from class org.apache.struts2.config_browser.ListValidatorsAction
`getClazz, getContext, getValidators, index, loadValidators, setActionValidatorManager, setClazz, setContext, stripPackage, stripPackage`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getFormatted, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowValidatorAction

    public ShowValidatorAction()

Method Detail

### setReflectionProvider

    public void setReflectionProvider(com.opensymphony.xwork2.util.reflection.ReflectionProvider prov)

### setReflectionContextFactory

    public void setReflectionContextFactory(com.opensymphony.xwork2.util.reflection.ReflectionContextFactory fac)

### getSelected

    public int getSelected()

### setSelected

    public void setSelected(int selected)

### getProperties

    public Set getProperties()

### getSelectedValidator

    public com.opensymphony.xwork2.validator.Validator getSelectedValidator()

### execute

    public String execute()
                   throws Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `ListValidatorsAction`
  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.